Bug 735050 - USB3 device fail to register after a re-attach to USB3 hub
Summary: USB3 device fail to register after a re-attach to USB3 hub
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Don Zickus
QA Contact: WANG Chao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-01 10:04 UTC by WANG Chao
Modified: 2015-02-08 21:42 UTC (History)
3 users (show)

Fixed In Version: kernel-2.6.32-206.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 14:27:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1530 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux 6 kernel security, bug fix and enhancement update 2011-12-06 01:45:35 UTC

Description WANG Chao 2011-09-01 10:04:57 UTC
Description of problem:

1st step:
Plug USB3 hub to USB3 root hub.Attach USB3 device to USB3 hub.
# lsusb.py -u
...
usb8            1d6b:0002 09  2.00 480MBit/s   0mA 1IFs (xhci_hcd 0000:02:00.0) hub
usb9            1d6b:0003 09  3.005000MBit/s   0mA 1IFs (xhci_hcd 0000:02:00.0) hub
   9-2            2109:0810 09  3.005000MBit/s   2mA 1IFs (VIA Labs, Inc. 4-Port USB 3.0 Hub) hub
   9-2.1         0bc2:50a1 00  3.005000MBit/s   0mA 1IFs (Seagate FA GoFlex Desk NA0JRATK)

2nd step:
Detach USB3 device from USB3 hub
# lsusb.py -u
...
usb8            1d6b:0002 09  2.00 480MBit/s   0mA 1IFs (xhci_hcd 0000:02:00.0) hub
usb9            1d6b:0003 09  3.005000MBit/s   0mA 1IFs (xhci_hcd 0000:02:00.0) hub

3rd step:
Attach it to USB3 hub again, but USB3 device didn't show up.
# lsusb.py -u
...
usb8            1d6b:0002 09  2.00 480MBit/s   0mA 1IFs (xhci_hcd 0000:02:00.0) hub
usb9            1d6b:0003 09  3.005000MBit/s   0mA 1IFs (xhci_hcd 0000:02:00.0) hub

dmesg:
--- 1st step ---
usb 8-2: new high speed USB device using xhci_hcd and address 2
xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
usb 8-2: New USB device found, idVendor=2109, idProduct=3431
usb 8-2: New USB device strings: Mfr=0, Product=1, SerialNumber=0
usb 8-2: Product: USB2.0 Hub
usb 8-2: configuration #1 chosen from 1 choice
hub 8-2:1.0: USB hub found
xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
hub 8-2:1.0: 4 ports detected
usb 9-2: new SuperSpeed USB device using xhci_hcd and address 2
xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
usb 9-2: New USB device found, idVendor=2109, idProduct=0810
usb 9-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 9-2: Product: 4-Port USB 3.0 Hub
usb 9-2: Manufacturer: VIA Labs, Inc.
usb 9-2: configuration #1 chosen from 1 choice
hub 9-2:1.0: USB hub found
hub 9-2:1.0: 4 ports detected
usb 9-2.4: new SuperSpeed USB device using xhci_hcd and address 3
xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
usb 9-2.4: New USB device found, idVendor=0bc2, idProduct=50a1
usb 9-2.4: New USB device strings: Mfr=2, Product=3, SerialNumber=1
usb 9-2.4: Product: FA GoFlex Desk
usb 9-2.4: Manufacturer: Seagate
usb 9-2.4: SerialNumber: NA0JRATK
usb 9-2.4: configuration #1 chosen from 1 choice
Initializing USB Mass Storage driver...
scsi6 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 3
usb-storage: waiting for device to settle before scanning
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
usb-storage: device scan complete
scsi 6:0:0:0: Direct-Access     Seagate  FA GoFlex Desk   0D0B PQ: 0 ANSI: 0
sd 6:0:0:0: Attached scsi generic sg2 type 0
sd 6:0:0:0: [sdb] 732566645 4096-byte logical blocks: (3.00 TB/2.72 TiB)
xhci_hcd 0000:02:00.0: WARN: Stalled endpoint
sd 6:0:0:0: [sdb] Write Protect is off
sd 6:0:0:0: [sdb] Mode Sense: 0f 00 00 00
sd 6:0:0:0: [sdb] Assuming drive cache: write through
sd 6:0:0:0: [sdb] 732566645 4096-byte logical blocks: (3.00 TB/2.72 TiB)
xhci_hcd 0000:02:00.0: WARN: Stalled endpoint
sd 6:0:0:0: [sdb] Assuming drive cache: write through
 sdb: sdb1
sd 6:0:0:0: [sdb] 732566645 4096-byte logical blocks: (3.00 TB/2.72 TiB)
xhci_hcd 0000:02:00.0: WARN: Stalled endpoint
sd 6:0:0:0: [sdb] Assuming drive cache: write through
sd 6:0:0:0: [sdb] Attached SCSI disk
sd 6:0:0:0: [sdb] Sense Key : Recovered Error [current] [descriptor]
Descriptor sense data with sense descriptors (in hex):
        72 01 04 1d 00 00 00 0a 09 0c 00 00 00 00 00 07
        00 00
sd 6:0:0:0: [sdb] ASC=0x4 ASCQ=0x1d
--- 2nd step ---
usb 9-2.4: USB disconnect, address 3
--- 3rd step ---
hub 8-2:1.0: unable to enumerate USB device on port 4
usb 9-2.4: Device not responding to set address.
usb 9-2.4: Device not responding to set address.
usb 9-2.4: device not accepting address 4, error -71
usb 9-2.4: Device not responding to set address.
usb 9-2.4: Device not responding to set address.
usb 9-2.4: device not accepting address 5, error -71
usb 9-2.4: Device not responding to set address.
usb 9-2.4: Device not responding to set address.
usb 9-2.4: device not accepting address 6, error -71
usb 9-2.4: Device not responding to set address.
usb 9-2.4: Device not responding to set address.
usb 9-2.4: device not accepting address 7, error -71
hub 9-2:1.0: unable to enumerate USB device on port 4 

Version-Release number of selected component (if applicable):
2.6.32-193.el6.x86_64

How reproducible:
Almost every time.

Steps to Reproduce:
as description
  
Actual results:


Expected results:


Additional info:
USB3 root hub is a TI PCI-E card
# lspci
02:00.0 USB Controller: Texas Instruments Device 8241 (rev 02)

Comment 2 WANG Chao 2011-09-02 04:21:58 UTC
Test USB2 device under same conditions, works correctly as expect
Topology is USB3 root hub -> USB3 hub -> USB2 device

Comment 4 RHEL Product and Program Management 2011-09-27 13:01:36 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 5 Aristeu Rozanski 2011-10-05 15:33:20 UTC
Patch(es) available on kernel-2.6.32-206.el6

Comment 10 errata-xmlrpc 2011-12-06 14:27:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1530.html


Note You need to log in before you can comment on or make changes to this bug.